Foreman - Feature #13079

As a foreman developer I'd like my pagelets being displayed conditionally
01/08/2016 07:15 AM - Toma$ Strachota

Status: Closed
Priority: Normal
Assignee: Ondrej Prazak
Category: Plugin integration
Target version: 1.11.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3063
Description

There's no possibility to display pagelets conditionally. Currently they can only be registered at the plugin load time and there's no
option to hide them according to current context (eg. listing environments makes sense only for proxies with pulp node feature). It's
problematic only for tab pagelets because they always render headings. Other pagelets can solve the problems by putting the
condition in it's partial.

Related issues:
Related to Foreman - Tracker #12507: Smart Proxy UX improvments New 11/17/2015
Related to Foreman - Feature #12716: As a foreman developer I'd like to have ... Closed 12/07/2015

Associated revisions

Revision 208d9743 - 01/24/2016 08:11 AM - Ondrej Prazak
Fixes #13079 - Conditionally hide the pagelets

History

#1 - 01/08/2016 07:15 AM - Tomas Strachota
- Related to Tracker #12507: Smart Proxy UX improvments added

#2 - 01/08/2016 07:15 AM - Tomas Strachota

- Related to Feature #12716: As a foreman developer I'd like to have way of extending the data returned from smart proxy api. added

#3 - 01/08/2016 08:31 AM - Lukas Zapletal

| don't understand, why don't you simply make the condition in the ERB fragment you are importing?

#4 - 01/08/2016 08:35 AM - Tomas Strachota

That doesn't help you with tabs. The tab gets rendered regardless it's empty or not.

#5 - 01/13/2016 07:42 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3063 added

#6 - 01/24/2016 09:01 AM - Ondfej Prazak
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 208d9743c75f2b869f6d051a2f4ad3497ad0b890.

#7 - 01/25/2016 03:21 AM - Dominic Cleal
- Category set to Plugin integration

- translation missing: en.field_release set to 71
